# OpenML dataset: spectrometer

https://www.openml.org/d/313

## Structure

The dataset has the following file structure:

* `dataset/`
  * `tables/`
    * [`data.csv`](./dataset/tables/data.csv): CSV file with data
    * [`data.pq`](./dataset/tables/data.pq): Parquet file with data
  * [`metadata.json`](./dataset/metadata.json): OpenML description of the dataset
  * [`features.json`](./dataset/features.json): OpenML description of table columns
  * [`qualities.json`](./dataset/qualities.json): OpenML qualities (meta-features)

## Description

**Author**:   
  
**Source**: Unknown - 1988  
**Please cite**:   

1. Title: Part of the IRAS Low Resolution Spectrometer Database
 
2. Sources:
(a) Originator: Infra-Red Astronomy Satellite Project Database
(b) Donor: John Stutz <STUTZ@pluto.arc.nasa.gov> 
(c) Date: March 1988 (approximately)

3. Past Usage: unknown
-- A NASA-Ames research group concerned with unsupervised learning tasks may have used this database during their empirical studies of their algorithm/system (AUTOCLASS II).  See the 1988 Machine Learning Conference Proceedings, 54-64, for a description of their algorithm.

4. Relevant Information: (from John Stutz)
 The Infra-Red Astronomy Satellite (IRAS) was the first attempt to map the full sky at infra-red wavelengths.  This could not be done from ground observatories because large portions of the infra-red spectrum is absorbed by the atmosphere.  The primary observing program was the full high resolution sky mapping performed by scanning at 4 frequencies. The Low Resolution Observation (IRAS-LRS) program observed high intensity sources over two continuous spectral bands.  This database derives from a subset of the higher quality LRS observations taken between 12h and 24h right ascension. 
This database contains 531 high quality spectra derived from the IRAS-LRS database.  The original data contained 100 spectral measurements in each of two overlapping bands.  Of these, 44 blue band and 49 red band channels contain usable flux measurements.  Only these are included here.  The original spectral intensities values are compressed to 4-digits, and each spectrum includes 5 rescaling parameters.  We have used the LRS specified algorithm to rescale these to units of spectral intensity (Janskys).  Total intensity differences have been eliminated by normalizing each spectrum to a mean value of 5000.
This database was originally obtained for use in development and testing of our AutoClass system for Bayesian classification.  We have not retained any results from this development, having concentrated our efforts of a 5425 element version of the same data.  Our classifications were based upon simultaneous modeling of all 93 spectral intensities. With the larger database we were able to find classes that correspond well with known spectral types associated with particular stellar types. We also found classes that match with the spectra expected of certain stellar processes under investigation by Ames astronomers.  These classes have considerably enlarged the set of stars being investigated by those researchers.  

Original Data
The original fortran data file is given in spectra-2.data.  The file spectra-2.head contains information about the .data file contents and how to rescale the compressed spectral intensities. 

5. Number of Instances: 531
 
6. Number of Attributes: 103 (including the 10-attribute "header")
 
7. Attribute Information: 
1. LRS-name: (Suspected format: 5 digits, "+" or "-", 4 digits)
2. LRS-class: integer - The LRS-class values range from 0 - 99 with
the 10's digit giving the basic class and the 1's digit giving the subclass. These classes are based on features (peaks, valleys, and trends) of the spectral curves.  
3. ID-type: integer
4. Right-Ascension: float - Astronomical longitude. 1h = 15deg
5. Declination: float - Astronomical lattitude. -90 <= Dec <= 90
6. Scale Factor: float - Proportional to source strength
7. Blue base 1: integer - linear rescaling coefficient
8. Blue base 2: integer - linear rescaling coefficient
9. Red base 1: integer - linear rescaling coefficient
10. Red base 2: integer - linear rescaling coefficient
11-54: fluxes from the following 44 blue-band channel wavelengths: 
(all given as floating point numerals)
55-103: fluxes from the following 49 red-band channel wavelengths:  (all given as floating point numerals)

UCI: http://archive.ics.uci.edu/ml/datasets/Low+Resolution+Spectrometer

## Contributing

This is a [read-only mirror](https://gitlab.com/data/d/openml/313) of an [OpenML dataset](https://www.openml.org/d/313). Contribute any changes to the dataset there. Alternatively, [fork the dataset](https://gitlab.com/data/d/openml/313/-/forks/new) or [find an existing fork](https://gitlab.com/data/d/openml/313/-/forks) to contribute to.

You can use [issues](https://gitlab.com/data/d/openml/313/-/issues) to discuss the dataset and any issues.

For more information see [https://datagit.org/](https://datagit.org/).

